## Apache Zeta Components Manual :: Docs For Class ezcDbSchemaDiffReader

### DatabaseSchema::ezcDbSchemaDiffReader

### Interface ezcDbSchemaDiffReader

This class provides the interface for database schema difference readers

This interface is extended by a specific interface for schema difference writers which read the difference from a file (@link ezcDbSchemaDiffFileReader).

Source for this file: /DatabaseSchema/src/interfaces/schema_diff_reader.php

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcDbSchemaDiffFileReader | This class provides the interface for file difference schema readers

### Method Summary

public int | `getDiffReaderType( )` Returns what type of schema difference reader this class implements.

### Methods

#### getDiffReaderType

int getDiffReaderType( )

Returns what type of schema difference reader this class implements.

Depending on the class it either returns ezcDbSchema::DATABASE (for reader that read difference information from a database) or ezcDbSchema::FILE (for readers that read difference information from a file).

Because there is no way of storing differences in a database, the effective return value of this method will always be ezcDbSchema::FILE.

Documentation generated by phpDocumentor 1.4.3